GNU bug report logs - #33318
[PATCH] doc: Add cindex & command to show versions of dependencies

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: swedebugia <swedebugia@HIDDEN>; Keywords: patch; dated Thu, 8 Nov 2018 16:02:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 33318 <at> debbugs.gnu.org:


Received: (at 33318) by debbugs.gnu.org; 3 Jan 2019 16:14:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 11:14:29 2019
Received: from localhost ([127.0.0.1]:45891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gf5dd-00064h-Ex
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 11:14:29 -0500
Received: from mx1.riseup.net ([198.252.153.129]:40736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gf5db-00064Z-KB
 for 33318 <at> debbugs.gnu.org; Thu, 03 Jan 2019 11:14:27 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 40BCC1A01D5
 for <33318 <at> debbugs.gnu.org>; Thu,  3 Jan 2019 08:14:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1546532067; bh=xMb3rsJPb0fuVsKxIQh+M4jWVF7b3GQgiRaIH8VXqLk=;
 h=Subject:From:To:References:Date:In-Reply-To:From;
 b=fRv2TudM1jbtRvsVRw43t8tjshNwqdHqxwabM1EePEBhUTTe0J8e67ZsHuMhRElqb
 hSYYXflEdvP7RMSLlGbvkFthBtZsfF+3lE9NoxXQuoDhX0+Y8yuhx3tsfTgsEXJszl
 tVUndn/Rki6uEnV+aRospWzUb4Yt2B66//pHoXiQ=
X-Riseup-User-ID: B9EBF68C5BEFE6A6915344254949C9AA21E9894B02CD9766F9A59918FC4367CB
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id C1DAB1C0945
 for <33318 <at> debbugs.gnu.org>; Thu,  3 Jan 2019 08:14:26 -0800 (PST)
Subject: Re: [bug#33318] [PATCH] doc: Add cindex & command to show versions of
 dependencies
From: swedebugia <swedebugia@HIDDEN>
To: 33318 <at> debbugs.gnu.org
References: <3daf961d-eab0-305f-b6e3-76f38b0643da@HIDDEN>
Message-ID: <8cf7f956-35c1-a028-3f50-13718ba5de30@HIDDEN>
Date: Thu, 3 Jan 2019 17:21:08 +0100
MIME-Version: 1.0
In-Reply-To: <3daf961d-eab0-305f-b6e3-76f38b0643da@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33318
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-11-08 17:00, swedebugia wrote:
> Hi
> 
> Here is my first patch!
> 

Ping

-- 
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#33318; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2018 16:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 08 11:01:42 2018
Received: from localhost ([127.0.0.1]:41841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKmkY-0001Bo-Cw
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 11:01:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gKmkV-0001Ba-1k
 for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 11:01:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKmkE-0002kf-OC
 for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 11:01:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46315)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gKmk6-0002hP-Ue
 for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 11:01:20 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57240)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKmk2-0007Ca-4n
 for guix-patches@HIDDEN; Thu, 08 Nov 2018 11:01:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKmjw-0002ZM-IV
 for guix-patches@HIDDEN; Thu, 08 Nov 2018 11:01:08 -0500
Received: from mx1.riseup.net ([198.252.153.129]:36747)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gKmjt-0001uj-8H
 for guix-patches@HIDDEN; Thu, 08 Nov 2018 11:01:01 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 11C121A05C9
 for <guix-patches@HIDDEN>; Thu,  8 Nov 2018 08:00:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541692840; bh=0jE/VoE7UVXMzxv4vlL36WisJKky1+aGRlpM15ddask=;
 h=To:From:Subject:Date:From;
 b=GUrm8jsG1OvE9wt/WjsUvS1/q0tnxVsTI139azaLcFnXckfjxe+grnPbc2AfLvmAL
 8pbVjlEMQJDJDNjeamgD/QixCxxLWdrjjPvEliLw8bhV5Ghduu2S0xx/6X/YPLLv8a
 rDhqkbxPxdY+fbXWhwyCAot0GBq0yRy4o1omcZEU=
X-Riseup-User-ID: 451250197F7EE0BDEB7631C22CA9B31824B0624AA08B671A2A686C4B95CC402F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 47066101F41
 for <guix-patches@HIDDEN>; Thu,  8 Nov 2018 08:00:38 -0800 (PST)
To: guix-patches@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Subject: [PATCH] doc: Add cindex & command to show versions of dependencies
Message-ID: <3daf961d-eab0-305f-b6e3-76f38b0643da@HIDDEN>
Date: Thu, 8 Nov 2018 17:00:35 +0100
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------1E255B7F43317C1BCC764878"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

This is a multi-part message in MIME format.
--------------1E255B7F43317C1BCC764878
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Hi

Here is my first patch!

-- 
Cheers
Swedebugia


--------------1E255B7F43317C1BCC764878
Content-Type: text/x-patch;
 name="0001-doc-Add-cindex-command-to-show-versions-of-dependenc.patch"
Content-Disposition: attachment;
 filename*0="0001-doc-Add-cindex-command-to-show-versions-of-dependenc.pa";
 filename*1="tch"
Content-Transfer-Encoding: quoted-printable

From 331dfcdcdf75f943f2395fe829703726200cbb5b Mon Sep 17 00:00:00 2001
From: swedebugia <swedebugia@HIDDEN>
Date: Thu, 8 Nov 2018 16:14:06 +0100
Subject: [PATCH] doc: Add cindex & command to show versions of dependenci=
es

* doc/guix.texi: Add 2 cindex in 2 sections
* doc/guix.texi (Running the Test Suite): Add command to show versions of=
 dependencies
---
 doc/guix.texi | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 441b65bca..0b906edc1 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -52,6 +52,7 @@ Copyright @copyright{} 2018 Pierre-Antoine Rouby@*
 Copyright @copyright{} 2018 G=C3=A1bor Boskovits@*
 Copyright @copyright{} 2018 Florian Pelz@*
 Copyright @copyright{} 2018 Laura Lazzati@*
+Copyright @copyright{} 2018 swedebugia@*
=20
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -602,6 +603,7 @@ would find yourself badly handicapped by the lack of =
the @command{guix}
 command.  In other words, do not remove @code{guix} by running
 @code{guix package -r guix}.
=20
+@cindex producing the binary guix tarball
 The binary installation tarball can be (re)produced and verified simply
 by running the following command in the Guix source tree:
=20
@@ -743,8 +745,15 @@ make check TESTS=3D"tests/base64.scm" SCM_LOG_DRIVER=
_FLAGS=3D"--brief=3Dno"
 Upon failure, please email @email{bug-guix@@gnu.org} and attach the
 @file{test-suite.log} file.  Please specify the Guix version being used
 as well as version numbers of the dependencies (@pxref{Requirements}) in
-your message.
+your message, e.g. by running this command:
=20
+@example
+guile --version | head -1 && guix --version | head -1 && \
+gcc --version | head -1 && echo -n ``libgcrypt `` && \
+libgcrypt-config --version && make --version | head -1
+@end example
+
+@cindex whole-system test suite
 Guix also comes with a whole-system test suite that tests complete
 GuixSD operating system instances.  It can only run on systems where
 Guix is already installed, using:
--=20
2.18.0


--------------1E255B7F43317C1BCC764878--




Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33318; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.